All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.olapgraphics.html
Class OLAPESRIMapComposite

    com.sas.servlet.tbeans.olapgraphics.html.OLAPESRIMapComposite

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, FormViewInterface, com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphCompositeKeysInterface, com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphCompositeStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class OLAPESRIMapComposite

implements FormViewInterface

MapComposite is a TransformationBean that is composed of other TransformationBeans. The MapComposite has a MenuBar and OLAPESRIMapChart as main sub-components, as well as a combo box for selecting the measure displayed on the OLAPESRIMapChart. The legend image from the map is also displayed.

See Also:
  `OLAPESRIMapChart`, `OLAPESRIMapMenu`, `Label`, Serialized Form

Field Summary
`static java.lang.String` | `MAPCOMPOSITE_CROSSING_LABEL` String used for the component name when adding the crosing label, specifically within the setComponent() call.
`static java.lang.String` | `MAPCOMPOSITE_CROSSING_TITLE_LABEL` String used for the component name when adding the crosing title label, specifically within the setComponent() call.
`static java.lang.String` | `MAPCOMPOSITE_DRILLSTATE` String used for the component name when adding the drill state, specifically within the setComponent() call.
`static java.lang.String` | `MAPCOMPOSITE_LEGEND` String used for the component name when adding the legend image, specifically within the setComponent() call.
`static java.lang.String` | `MAPCOMPOSITE_MEASURE_DROPDOWN` String used for the component name when adding the measure dropdown, specifically within the setComponent() call.

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Constructor Summary
`OLAPESRIMapComposite()` Constructs a new MapComposite object with a null data model
`OLAPESRIMapComposite(OLAPDataSetInterface model)` Constructs a new MapComposite object with the passed in data model
`OLAPESRIMapComposite(OLAPDataSetInterface dataModel, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Constructs a new MapComposite object

Method Summary
`void` | `cleanUpResources()` This method releases all of the necessary resources that were needed by the transformation bean to render itself.
`java.util.HashMap` | `getAdditionalParameters()` Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite.
`Form` | `getDefaultFormObject()` Gets the default form object to be used by the panel
`Form` | `getFormObject()` Gets the form object to be used by the panel
`OLAPDataSetInterface` | `getModel()` Returns the model on the viewer.
`byte[]` | `getPrintImage()` Creates and returns a byte stream that composes the various pieces of the MapComposite.
`boolean` | `isFormEnabled()` Determines if the MapComposite should render its formObject.
`boolean` | `isUseSession()` Returns whether the Session object should be used during the write() method.
`void` | `setAdditionalParameter(java.lang.String name, java.lang.String value)` Sets an additional parameter to be added to the form used to perform the various actions on the MapComposite.
`void` | `setAdditionalParameters(java.util.HashMap map)` Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite.
`void` | `setFormEnabled(boolean enable)` Sets whether the MapComposite should render its formObject.
`void` | `setFormObject(Form form)` Sets the form object to be used by the panel
`void` | `setMeasureComboBoxSize(java.awt.Dimension d)` Sets the size of the measure combo
`void` | `setModel(OLAPDataSetInterface dataModel)` Sets the model on the viewer.
`void` | `setUseSession(boolean useSession)` Sets whether the Session object should be used during the write() method.
`void` | `write(java.io.PrintWriter out)` Writes all the components in this composite using the given Template.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Field Detail

### MAPCOMPOSITE_MEASURE_DROPDOWN

    public static final java.lang.String MAPCOMPOSITE_MEASURE_DROPDOWN

  String used for the component name when adding the measure dropdown, specifically within the setComponent() call.

  See Also:
    Constant Field Values

### MAPCOMPOSITE_LEGEND

    public static final java.lang.String MAPCOMPOSITE_LEGEND

  String used for the component name when adding the legend image, specifically within the setComponent() call.

  See Also:
    Constant Field Values

### MAPCOMPOSITE_DRILLSTATE

    public static final java.lang.String MAPCOMPOSITE_DRILLSTATE

  String used for the component name when adding the drill state, specifically within the setComponent() call.

  See Also:
    Constant Field Values

### MAPCOMPOSITE_CROSSING_LABEL

    public static final java.lang.String MAPCOMPOSITE_CROSSING_LABEL

  String used for the component name when adding the crosing label, specifically within the setComponent() call.

  See Also:
    Constant Field Values

### MAPCOMPOSITE_CROSSING_TITLE_LABEL

    public static final java.lang.String MAPCOMPOSITE_CROSSING_TITLE_LABEL

  String used for the component name when adding the crosing title label, specifically within the setComponent() call.

  See Also:
    Constant Field Values

Constructor Detail

### OLAPESRIMapComposite

    public OLAPESRIMapComposite()

  Constructs a new MapComposite object with a null data model

### OLAPESRIMapComposite

    public OLAPESRIMapComposite(OLAPDataSetInterface model)

  Constructs a new MapComposite object with the passed in data model

  Parameters:
    `model` - The model used for this composite

### OLAPESRIMapComposite

    public OLAPESRIMapComposite(OLAPDataSetInterface dataModel,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)

  Constructs a new MapComposite object

  Parameters:
    `dataModel` - The model used for this composite
    `request` - The HttpServletRequest object
    `response` - the HttpServletResponse object

Method Detail

### setModel

    public void setModel(OLAPDataSetInterface dataModel)

  Sets the model on the viewer.

  Overrides:
    `setModel` in class `com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphComposite`
  Parameters:
    `dataModel` - an instance of the OLAPDataSetInterface

### getModel

    public OLAPDataSetInterface getModel()

  Returns the model on the viewer.

  Overrides:
    `getModel` in class `com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphComposite`
  Returns:
    the data model for the chart

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes all the components in this composite using the given Template. This method calls the cleanUpResources method at the end to reset the `request` and `response` back to null.

  The MapComposite is composed of the map, a measure dropdown, and the legend.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphComposite`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### cleanUpResources

    public void cleanUpResources()

  This method releases all of the necessary resources that were needed by the transformation bean to render itself. These resources include fields such as `request` and `response`. This method calls the setRequest and setResponse methods with a null value.

  Overrides:
    `cleanUpResources` in class `BaseTransformation`

### setMeasureComboBoxSize

    public void setMeasureComboBoxSize(java.awt.Dimension d)

  Sets the size of the measure combo

  Parameters:
    `d` - The new size

### setFormObject

    public void setFormObject(Form form)

  Sets the form object to be used by the panel

  Specified by:
    `setFormObject` in interface `FormViewInterface`
  Parameters:
    `form` - The form object

### getFormObject

    public Form getFormObject()

  Gets the form object to be used by the panel

  Specified by:
    `getFormObject` in interface `FormViewInterface`
  Returns:
    The form object

### getDefaultFormObject

    public Form getDefaultFormObject()

  Gets the default form object to be used by the panel

  Specified by:
    `getDefaultFormObject` in interface `FormViewInterface`
  Returns:
    the form object

### getAdditionalParameters

    public java.util.HashMap getAdditionalParameters()

  Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite. The default value is null. Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `getAdditionalParameters` in interface `FormViewInterface`
  Returns:
    an HashMap containing additional parameters that should be added to the form
  See Also:
    `HashMap`

### setAdditionalParameters

    public void setAdditionalParameters(java.util.HashMap map)

  Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite. The default value is null. Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameters` in interface `FormViewInterface`
  Parameters:
    `map` - HashMap object
  See Also:
    `HashMap`

### setAdditionalParameter

    public void setAdditionalParameter(java.lang.String name,
                                       java.lang.String value)

  Sets an additional parameter to be added to the form used to perform the various actions on the MapComposite. In the html version, Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameter` in interface `FormViewInterface`
  Parameters:
    `name` - name of the list item
    `value` - value of the list item
  See Also:
    `HashMap`

### setFormEnabled

    public void setFormEnabled(boolean enable)

  Sets whether the MapComposite should render its formObject. If so, then set to true. If set to false, then the user is responsible for rendering the formObject via its writeHeader and writeFooter methods.

  Specified by:
    `setFormEnabled` in interface `FormViewInterface`
  Parameters:
    `enable` - true if the formObject should be rendered by the tbean

### isFormEnabled

    public boolean isFormEnabled()

  Determines if the MapComposite should render its formObject. If true, then the tbean is responsible for rendering the formObject via the formObject's writeHeader and writeFooter methods. If false then the tbean does not render the formObject and the user is responsible for rendering the formObject.

  Specified by:
    `isFormEnabled` in interface `FormViewInterface`
  Returns:
    true if the tbean should render its formObject

### getPrintImage

    public byte[] getPrintImage()

  Creates and returns a byte stream that composes the various pieces of the MapComposite. The image contains the map, the legend, and a label representing the measure.

  Returns:
    An image byte stream

### isUseSession

    public boolean isUseSession()

  Returns whether the Session object should be used during the write() method.

  Returns:
    The boolean

### setUseSession

    public void setUseSession(boolean useSession)

  Sets whether the Session object should be used during the write() method.

  Parameters:
    `useSession` - The useSession to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.